<{include file="index/header.html"}> 
<div class="nav"><span>缓存清除</span></div>
<style type="text/css">
td.span{ color:#666666; }
a.do{ border:1px solid #0D92C5; background:#179ED2; color:#fff; padding:3px 10px; font-size:12px; border-radius:2px; }
</style>
<div class="filter"> 
	<a href="javascript:;" class="button clear_ck">清除选中</a>
</div>
<div class="main"> 
	<table class="ltable">  
		<thead>
			<tr>
				<th width="50"><input type="checkbox" name="cache" value="cache"  class="checked_all"/></th>
				<th width="100">名称</th>
				<th>描述</th>
				<th width="80">操作</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td><input type="checkbox" name="cache" value="cache" class="checked_list"/></td>
				<td>数据缓存</td>
				<td class="span">数据生成的文件缓存。提高访问效率本地化缓存的一种方法。</td>
				<td><a class="do" href="javascript:;" data-name="cache">清除</a></td>
			</tr>
			<tr>
				<td><input type="checkbox" name="compile" value="templates_c" class="checked_list"/></td>
				<td>编译文件</td>
				<td class="span">程序代码模板分离，编译好的文件可以直接访问，减少了程序执行过程中模板替换的过程，减少代码执行量。</td>
				<td><a class="do" href="javascript:;" data-name="templates_c">清除</a></td>
			</tr>
			<tr>
				<td><input type="checkbox" name="images" value="images" class="checked_list"/></td>
				<td>临时图片</td>
				<td class="span">一些无用的图片，上传的临时图片，并无实质的使用地方。</td>
				<td><a class="do" href="javascript:;" data-name="images">清除</a></td>
			</tr>
			<tr>
				<td><input type="checkbox" name="session" value="session" class="checked_list"/></td>
				<td>SESSION</td>
				<td class="span">SESSION清楚，清除以后全部用户都会掉线，包括管理员都的需要登录。</td>
				<td><a class="do" href="javascript:;" data-name="session">清除</a></td>
			</tr>
			<tr>
				<td><input type="checkbox" name="config" value="config" class="checked_list"/></td>
				<td>配置缓存</td>
				<td class="span">修改不同的配置文件，需要程序缓存达到快速执行，可以有效的减少访问数据库的压力，通常配置好文件之后，无需对此文件进行清除。</td>
				<td><a class="do" href="javascript:;" data-name="config">清除</a></td>
			</tr> 
			<tr>
				<td><input type="checkbox" name="log" value="log" class="checked_list"/></td>
				<td>日志文件</td>
				<td class="span">记录数据出错、报错、访问记录等的文件。主要作用为管理员排查程序错误的文件。</td>
				<td><a class="do" href="javascript:;" data-name="log">清除</a></td>
			</tr> 
		</tbody> 
	</table> 
</div>
<{include file="index/footer.html"}> 
<script type="text/javascript">
$(function(){ 
	// 清除选中
	$(".clear_ck").click(function(){
		path = '';
		$("input.checked_list").each(function(){
			$this = $(this);
			if($this.attr("checked")){
				path += $this.val()+",";
			}
		});
		path = path.substring(0,path.length-1);
		if(path != ''){
			$.get(ADMIN+'config/temp_clear?path='+path, function(result){
				data = jQuery.parseJSON(result); 
				if(data.error == '0'){
					parent.$.alert('清除成功');
					location.reload();
				}else{
					parent.$.alert(data.msg); 
				}
			});
		}else{
			parent.$.alert('没有选中');
		}
	});
	
	$(".do").click(function(){
		path = $(this).attr('data-name');
		$.get(ADMIN+'config/temp_clear?path='+path, function(result){
			data = jQuery.parseJSON(result); 
			if(data.error == '0'){
				parent.$.alert('清除成功');
			}else{
				parent.$.alert(data.msg); 
			} 
		});
	}); 
});
</script>
